rte_event_timer_adapter_stats(3)

NAME
rte_event_timer_adapter_stats

SYNOPSIS

#include <rte_event_timer_adapter.h>

  Data Fields

uint64_t evtim_exp_count
uint64_t ev_enq_count
uint64_t ev_inv_count
uint64_t evtim_retry_count
uint64_t adapter_tick_count
uint64_t evtim_drop_count

Detailed Description

Event timer adapter stats structure

Definition at line 185 of file rte_event_timer_adapter.h.

Field Documentation

  uint64_t evtim_exp_count
Number of event timers that have expired.

Definition at line 186 of file rte_event_timer_adapter.h.

  uint64_t ev_enq_count
Eventdev enqueue count

Definition at line 188 of file rte_event_timer_adapter.h.

  uint64_t ev_inv_count
Invalid expiry event count

Definition at line 190 of file rte_event_timer_adapter.h.

  uint64_t evtim_retry_count
Event timer retry count

Definition at line 192 of file rte_event_timer_adapter.h.

  uint64_t adapter_tick_count
Tick count for the adapter, at its resolution

Definition at line 194 of file rte_event_timer_adapter.h.

  uint64_t evtim_drop_count
event timer expiries dropped

Definition at line 196 of file rte_event_timer_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.